package milk

import (
	"kpt-pasture/http/middleware"
	"net/http"

	operationPb "gitee.com/xuyiping_admin/go_proto/proto/go/backend/operation"
	"gitee.com/xuyiping_admin/pkg/apierr"
	"gitee.com/xuyiping_admin/pkg/ginutil"
	"github.com/gin-gonic/gin"
)

func ProcessOriginal(c *gin.Context) {
	// 获取请求体数据
	body, err := c.GetRawData()
	if err != nil {
		apierr.ClassifiedAbort(c, err)
		return
	}

	err = middleware.Dependency(c).StoreEventHub.OpsService.MilkHallOriginal(c, body)
	if err != nil {
		apierr.ClassifiedAbort(c, err)
		return
	}
	ginutil.JSONResp(c, &operationPb.CommonOK{
		Code: http.StatusOK,
		Msg:  "ok",
		Data: &operationPb.Success{Success: true},
	})
}
