package model

import pasturePb "gitee.com/xuyiping_admin/go_proto/proto/go/backend/cow"

type MilkDaily struct {
	Id           int64                      `json:"id"`
	PastureId    int64                      `json:"pastureId"`
	HeatDate     string                     `json:"heatDate"`
	CowId        int64                      `json:"cowId"`
	Lact         int32                      `json:"lact"`
	BreedStatus  pasturePb.BreedStatus_Kind `json:"breedStatus"`
	LactationAge int32                      `json:"lactationAge"`
	PenId        int32                      `json:"penId"`
	PenName      string                     `json:"penName"`
	Conductivity float32                    `json:"conductivity"`
	DayYield     float32                    `json:"dayYield"`
	MilkDuration float32                    `json:"milkDuration"`
	DayHigh      int32                      `json:"dayHigh"`
	WeekAvg      float32                    `json:"weekAvg"`
	DayRumina    int32                      `json:"dayRumina"`
	DayIntake    int32                      `json:"dayIntake"`
	DayInactive  int32                      `json:"dayInactive"`
	DayGasp      int32                      `json:"dayGasp"`
	DayActive    int32                      `json:"dayActive"`
	CreatedAt    int64                      `json:"createdAt"`
	UpdatedAt    int64                      `json:"updatedAt"`
}

func (m *MilkDaily) TableName() string {
	return "milk_daily"
}

type MilkDailyModel struct {
	CowId       int64  `json:"cow_id"`
	HeatDate    string `json:"heat_date"`
	DayActive   int32  `json:"day_active"`
	DayHigh     int32  `json:"day_high"`
	DayInactive int32  `json:"day_inactive"`
	DayIntake   int32  `json:"day_intake"`
	DayRumina   int32  `json:"day_rumina"`
	Nb          int32  `json:"nb"`
}
