package model

type PenBehaviorDay struct {
	Id          int64   `json:"id"`
	PastureId   int64   `json:"pastureId"`
	HeatDate    string  `json:"heatDate"`
	PenId       int32   `json:"penId"`
	PenName     string  `json:"penName"`
	CowCount    int32   `json:"cowCount"`
	DayAvgMilk  float32 `json:"dayAvgMilk"`
	DayHigh     int32   `json:"dayHigh"`
	DayRumina   int32   `json:"dayRumina"`
	DayIntake   int32   `json:"dayIntake"`
	DayInactive int32   `json:"dayInactive"`
	DayGasp     int32   `json:"dayGasp"`
	DayActive   int32   `json:"dayActive"`
	WeekAvgMilk float32 `json:"weekAvgMilk"`
	RuminaStd   int32   `json:"ruminaStd"`
	CreatedAt   int64   `json:"createdAt"`
	UpdatedAt   int64   `json:"updatedAt"`
}

func (p *PenBehaviorDay) TableName() string {
	return "pen_behavior_day"
}

func NewPenBehaviorDay(pastureId int64, heatDate string, penId int32, penName string, cowCount int32, dayAvgMilk float32,
	dayHigh int32, dayRumina int32, dayIntake int32, dayInactive int32, dayGasp int32, dayActive int32, weekAvgMilk float32,
	ruminaStd int32) *PenBehaviorDay {
	return &PenBehaviorDay{
		PastureId:   pastureId,
		HeatDate:    heatDate,
		PenId:       penId,
		PenName:     penName,
		CowCount:    cowCount,
		DayAvgMilk:  dayAvgMilk,
		DayHigh:     dayHigh,
		DayRumina:   dayRumina,
		DayIntake:   dayIntake,
		DayInactive: dayInactive,
		DayGasp:     dayGasp,
		DayActive:   dayActive,
		WeekAvgMilk: weekAvgMilk,
		RuminaStd:   ruminaStd,
	}
}

type PenBehaviorDaySlice []*PenBehaviorDay
